DbLsn (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbLsn,DbLsn class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbLsn

    java.lang.Object
      |
      +--com.sleepycat.db.DbLsn

public class DbLsn
extends Object

The DbLsn object is a log sequence number which specifies a unique location in a log file. A DbLsn consists of two unsigned 32-bit integers -- one specifies the log file number, and the other specifies an offset in the log file.

Constructor Summary
`DbLsn(int file, int offset)` The DbLsn constructor constructs a DbLsn with the specified file and offset.

Method Summary
`int` | `get_file()` Deprecated. As of Berkeley DB 4.2, replaced by `getFile()`
`int` | `get_offset()` Deprecated. As of Berkeley DB 4.2, replaced by `getOffset()`
`int` | `getFile()` The DbLsn.getFile method returns the DbLsn object's file number.
`int` | `getOffset()` The DbLsn.getOffset method returns the DbLsn object's file number.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbLsn

    public DbLsn(int file,
                 int offset)
          throws DbException

  The DbLsn constructor constructs a DbLsn with the specified file and offset.

Parameters:
  `file` - the log file number.
  `offset` - the log file offset.
Throws:
  `DbException` - Signals that an exception of some sort has occurred.

Method Detail

### get_file

    public int get_file()
                 throws DbException

  Deprecated. As of Berkeley DB 4.2, replaced by `getFile()`

    `DbException`

### getFile

    public int getFile()
                throws DbException

  The DbLsn.getFile method returns the DbLsn object's file number.

  Returns:
    The DbLsn.getFile method returns the DbLsn object's file number.
  Throws:
    `DbException` - Signals that an exception of some sort has occurred.

### get_offset

    public int get_offset()
                   throws DbException

  Deprecated. As of Berkeley DB 4.2, replaced by `getOffset()`

    `DbException`

### getOffset

    public int getOffset()
                  throws DbException

  The DbLsn.getOffset method returns the DbLsn object's file number.

  Returns:
    The DbLsn.getOffset method returns the DbLsn object's file number.
  Throws:
    `DbException` - Signals that an exception of some sort has occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.